using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Api : Command, ISubCommandOf<MycroForge>
    {
        public Api(IEnumerable<ISubCommandOf<Api>> subCommands) :
            base("api", "API related commands")
        {
            foreach (var subCommandOf in subCommands)
                AddCommand((subCommandOf as Command)!);
        }
    }
}